2
votes
1answer
62 views

OpenSSL installed, but Ruby unable to require it

I'm trying to setup github-pages on my Ubuntu laptop, and following the guide provided by Github I have to install the bundler package; giving the command ~$ gem install bundler returns me this ...
0
votes
0answers
29 views

Ruby OpenSSL vs Linux openssl

I have a difficulty reconciling Ruby's OpenSSL library with the standard Linux command line openssl. What I'm trying to do here is encrypt the string mysecretstring with the password foobar but first ...
7
votes
3answers
21k views

How would you install OpenSSL package for Ruby?

I have trouble finding the package for this software. I built and installed from the packages found here, but it's still not working properly with rvm and gem (log is located here). How would you ...
1
vote
2answers
4k views

Install ruby 1.9.2-p180 via RVM on Ubuntu 12.04

I just upgraded to the newest Ubuntu release and this broke my ruby on rails setup. I would like to install ruby 1.9.2-p180 now via RVM: rvm install ruby-1.9.2-p180 This is cancelled due to some ...